
From: NeilBrown <neilb@cse.unsw.edu.au>

Remove incorrect kfree.

Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/nfsd/nfs4callback.c |    4 +---
 1 files changed, 1 insertion(+), 3 deletions(-)

diff -puN fs/nfsd/nfs4callback.c~nfsd4-remove-incorrect-kfree-from-callback fs/nfsd/nfs4callback.c
--- 25/fs/nfsd/nfs4callback.c~nfsd4-remove-incorrect-kfree-from-callback	2005-03-07 23:55:41.000000000 -0800
+++ 25-akpm/fs/nfsd/nfs4callback.c	2005-03-07 23:55:41.000000000 -0800
@@ -561,7 +561,7 @@ nfsd4_cb_recall(struct nfs4_delegation *
 	clnt = clp->cl_callback.cb_client;
 	status = EIO;
 	if ((!atomic_read(&clp->cl_callback.cb_set)) || !clnt)
-		goto out_free;
+		goto out_fail;
 
 	msg.rpc_argp = cbr;
 	msg.rpc_resp = cbr;
@@ -580,7 +580,5 @@ out:
 	return status;
 out_fail:
 	status = nfserrno(status);
-	out_free:
-	kfree(cbr);
 	goto out;
 }
_
